# Konfiguration einer lokalen Installation von Lehrplan-Service welche auf http-Port 8080 des Host unter Linux läuft
location /lehrplanedit/ {
    resolver 127.0.0.11;
    set $frontend_lehrplan_path   lehrplan-edit.nw-letto:8080;
    proxy_set_header   Host $host;
    proxy_set_header   X-Real-IP $remote_addr;
    proxy_set_header   X-Forwarded-For $proxy_add_x_forwarded_for;
    proxy_set_header   X-Forwarded-Proto $scheme;
    proxy_pass         http://$frontend_lehrplan_path;
    proxy_read_timeout 90;
}

location /lehrplan/ {
    resolver 127.0.0.11;
    set $lehrplan_service_path   letto-lehrplan.nw-letto:8104;
    proxy_set_header   Host $host;
    proxy_set_header   X-Real-IP $remote_addr;
    proxy_set_header   X-Forwarded-For $proxy_add_x_forwarded_for;
    proxy_set_header   X-Forwarded-Proto $scheme;
    proxy_pass         http://$lehrplan_service_path;
    proxy_read_timeout 90;
}
